#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-iadd
version:              1.3.15
visibility:           public
id:                   hledger-iadd-1.3.15-LcTSRVeSwMtBT05aYNzhqy
key:                  hledger-iadd-1.3.15-LcTSRVeSwMtBT05aYNzhqy
license:              BSD-3-Clause
copyright:            2018 Hans-Peter Deifel
maintainer:           Hans-Peter Deifel <hpd@hpdeifel.de>
author:               Hans-Peter Deifel <hpd@hpdeifel.de>
homepage:             https://github.com/hpdeifel/hledger-iadd#readme
synopsis:             A terminal UI as drop-in replacement for hledger add
description:
    This is a terminal UI as drop-in replacement for hledger add.

    It improves in the following ways on hledger'\''s add command:

    * Interactive as-you-type completion for
    account names and descriptions with optional
    fuzzy matching.

    * Integrated calculator: Amounts can be written
    as simple sums with real-time feedback on the
    result.

    * All actions while entering a transaction can
    be undone

    * Configurable format for date input. Instead
    of @y\/m\/d@ it is also possible to use other
    formats like the german @d.m.y@.

category:             Finance, Console
abi:                  2686ab3f6622edddc2d75803b15a1dff
exposed:              True
exposed-modules:
    AmountParser Brick.Widgets.BetterDialog Brick.Widgets.Border.Utils
    Brick.Widgets.CommentDialog Brick.Widgets.Edit.EmacsBindings
    Brick.Widgets.HelpMessage Brick.Widgets.List.Utils
    Brick.Widgets.WrappedText ConfigParser Data.Time.Ext DateParser
    Model View

import-dirs:          /usr/lib/ghc-9.0.1/site-local/hledger-iadd-1.3.15
library-dirs:         /usr/lib/ghc-9.0.1/site-local/hledger-iadd-1.3.15
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/hledger-iadd-1.3.15
hs-libraries:         HShledger-iadd-1.3.15-LcTSRVeSwMtBT05aYNzhqy
depends:
    base-4.15.0.0 brick-0.62-JjGR452E6vO3PJKLiGLkMw containers-0.6.4.1
    directory-1.3.6.1 free-5.1.7-FmERUUhGwhqEjxTl8gvfnK
    hledger-lib-1.22.2-56xi4NwWklqAkNRLbcoHC8
    megaparsec-9.1.0-GZaT7o0zZGb4wuUZ2qnXTv
    microlens-0.4.12.0-IoK2ncpVKVzEwRUasmz5D3
    microlens-th-0.4.3.10-HxodWQYuKqM1Xl5DK3s827
    optparse-applicative-0.16.1.0-Gjr1DCq0Q3C1od4nYsPAdn text-1.2.4.1
    text-zipper-0.11-Bape09QfJTbB2eukCQSuEU time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.14.0-4VkaQXrxHxDFVxUpdGbpuH
    vector-0.12.3.0-wUfL5c2StS9dUQS7oblw1
    vty-5.33-IEfpLgJtU0r6UlRul6QMg8
    xdg-basedir-0.2.2-FxvLd0PtCIDHWciCXDjKP6

haddock-interfaces:   /usr/share/doc/hledger-iadd/html/hledger-iadd.haddock
haddock-html:         /usr/share/doc/hledger-iadd/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

